<template>
  <div class="warning-block" v-if="$pdl.supplementary.prolongation">
    <b>Внимание!</b><br>
    Для продления займа вам необходимо <a @click="pay" class="text-decoration">оплатить</a> начисленные проценты по займу в размере
    {{price|currency}} рублей до {{dateToPay}}.
  </div>
</template>
<script>
    export default {
      name: 'SupplementaryNeedToBePayed',
      computed: {
        price () {
          return this.$pdl.supplementary.prolongation.depositAmount
        },
        dateToPay () {
          if (this.$pdl.supplementary.prolongation) {
            return this.$dayjs(this.$pdl.supplementary.prolongation.payDateEnd).format('DD.MM.YYYY (HH:mm)')
          }
          return ''
        }
      },
      methods: {
        pay () {
            this.$parent.ActiveLoan.payProlongationDeposit();
        },
        emit (event) {
          this.$parent.emit(event)
        }
      }
    }
</script>

<style scoped>

</style>
